Subject: Re: I can has SHA-1 hashes for RFC 2409/3526 MODP groups?

From: Peter Gutmann <[email-masked]>
Date: Fri, 7 Mar 2014 12:13:02 +0000

=?UTF-8?B?SGVucmljayBIZWxsc3Ryw7Zt?= <[email-masked]> writes:

>I have generated the primes 1024, 2048, 3072, 4096, 6144 and 8192 from the
>formulae and verified that:
>
>a: The numbers match the numbers in the RFCs.
>b: The numbers are safe primes (using both Miller-Rabin tests and Lucas tests
>on q = (p-1)/2, and then the Pocklington Criterion on p).
>c: The small constant k is indeed the least positive integer such that the
>number is a safe prime. (Well, to be honest I am still running this test for
>the largest group, just make sure once more.)

Ah, OK, thanks.  So we've got independent verification :-).

Peter.